Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - pms

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: pms 1.90.1-4

Git Clone URL: https://aur-dev.archlinux.org/pms.git (read-only)
Package Base: pms
Description: DLNA compliant Upnp Media Server for the PS3, written in Java.
Upstream URL: http://www.ps3mediaserver.org/
Licenses: GPL2
Submitter: jase
Maintainer: eworm
Last Packager: eworm
Votes: 101
Popularity: 0.159492
First Submitted: 2008-12-11 18:24
Last Updated: 2016-03-04 16:57

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

gabrielrcp commented on 2013-03-24 19:26

I don't think so, this involves changing a user configuration file, which is not something a package should do.
Maybe a message in post installation alerting about this?

digitalone commented on 2013-03-24 18:46

Couldn't be done that in your posted link with AUR package?

gabrielrcp commented on 2013-03-24 15:50

I too had some problems using the default packages. In my case the problem was that 10bits h264 video was not supported. I just manually copied the binaries to my system following this guide: (instead of /opt I installed then on my $HOME)
http://www.ps3mediaserver.org/forum/viewtopic.php?f=3&t=14605

digitalone commented on 2013-03-24 08:07

Hi everyone. Take a look here: https://help.ubuntu.com/community/Ps3MediaServer
"PS3 Media Server requires specific versions of ffmpeg, mplayer, mencoder and libmediainfo [...] Running PS3 Medias Server with unsupported ffmpeg or mencoder like following method suggests may cause numerous bugs!"

I have some issues in streaming some mp4. Could be that ffmpeg, mplayer and libmediainfo aren't fully supported from psm on my sistem?

gabrielrcp commented on 2012-11-11 20:05

I sent an email to aur-general asking for suggestions, and got no response.

Well, it is working with that hack, and instead of editing the original file I copied it to /etc/systemd/system/ and made the modifications there, so I expect to have no problems with future updates.

Thanks for the attention

zenlord commented on 2012-11-08 19:59

unit file working for me - thx!

eworm commented on 2012-11-08 07:12

I expected it will not work...

Well, if anybody has an idea how to make it work for everybody let me know...

gabrielrcp commented on 2012-11-07 18:02

It doesn't work. :(

This is the content of the file /etc/profile.d/jdk.sh:
http://pastebin.com/XpdLcWqj

Acording to the `man 5 systemd.exec`, the environment file can only contain lines like VAR=value (no export).

A managed to make it work by adding Environment=JAVA=/opt/java/bin/java to the [Service] section. But this is a ugly hack that will break the unit file for everyone else.

eworm commented on 2012-11-07 16:12

Ok, that explains a lot... For my java is /usr/bin/java. Does it work if you add this line in the [Service] section of pms unit file?

EnvironmentFile=-/etc/profile.d/jdk.sh

gabrielrcp commented on 2012-11-07 15:54

Same thing if I am logged in as root.

magikarp:~$ which java
/opt/java/bin/java